Package org.gradle.nativeplatform.test.xctest

# Interface SwiftXCTestSuite

All Superinterfaces:
  `Named`, `SoftwareComponent`, `SwiftComponent`

@Incubating public interface SwiftXCTestSuite extends SwiftComponent
A XCTest suite, implemented in Swift.

Since:
  4.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`SwiftXCTestBinary`
`getDevelopmentBinary()`
Returns the binary of the component to use as the default for development.
`SwiftXCTestBinary`
`getTestExecutable()`
Returns the executable that will be executed to run the tests.

### Methods inherited from interface org.gradle.api.Named

`getName`

### Methods inherited from interface org.gradle.language.swift.SwiftComponent

`getImplementationDependencies, getModule, getSource, getSwiftSource, source`

## Method Details

### getDevelopmentBinary

SwiftXCTestBinary getDevelopmentBinary()
Returns the binary of the component to use as the default for development.

For test suites, this is the test executable binary.

Specified by:
  `getDevelopmentBinary` in interface `SwiftComponent`

### getTestExecutable

SwiftXCTestBinary getTestExecutable()
Returns the executable that will be executed to run the tests.

Since:
  4.4